Package org.eclipse.mat.inspections.osgi

## Class BundleRegistryQuery.BundleTreeResult

- java.lang.Object
- - org.eclipse.mat.inspections.osgi.BundleRegistryQuery.BundleTreeResult

All Implemented Interfaces:
  `IIconProvider`, `IResult`, `IResultTree`, `IStructuredResult`

Direct Known Subclasses:
  `BundleRegistryQuery.ExtensionTreeResult`, `BundleRegistryQuery.ServicesTreeResult`

Enclosing class:
  BundleRegistryQuery

    public static class BundleRegistryQuery.BundleTreeResult
    extends java.lang.Object
    implements IResultTree, IIconProvider

### Field Summary

### Fields inherited from interface org.eclipse.mat.query.IIconProvider

`EMPTY`

### Constructor Summary

Constructors
`BundleTreeResult​(OSGiModel model)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<?>` `getChildren​(java.lang.Object parent)` Returns the child elements of the given parent.
`Column[]` `getColumns()` The columns of the tree or table.
`java.lang.Object` `getColumnValue​(java.lang.Object row, int columnIndex)` Returns the (unformatted) value of a table/tree cell.
`IContextObject` `getContext​(java.lang.Object row)` The default context of the row which is used to display information in the object inspector.
`java.util.List<?>` `getElements()` Returns the root elements of the tree.
`BundleRegistryQuery.Grouping` `getGroupBy()`
`java.net.URL` `getIcon​(java.lang.Object row)`
`OSGiModel` `getModel()`
`ResultMetaData` `getResultMetaData()` (Optionally) Return meta data of the result needed to fine-tune the display of the result.
`boolean` `hasChildren​(java.lang.Object element)` Returns whether the given element has children.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BundleTreeResult

    public BundleTreeResult​(OSGiModel model)

### Method Detail

#### getModel

    public OSGiModel getModel()

#### getChildren

    public java.util.List<?> getChildren​(java.lang.Object parent)

Description copied from interface: `IResultTree`
Returns the child elements of the given parent.

Specified by:
  `getChildren` in interface `IResultTree`
Parameters:
  `parent` - The row object as returned by the `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods.
Returns:
  a list of children of this branch of the tree

#### getElements

    public java.util.List<?> getElements()

Description copied from interface: `IResultTree`
Returns the root elements of the tree.

Specified by:
  `getElements` in interface `IResultTree`
Returns:
  a list of all the root elements of the tree as opaque row objects representing each row which can be passed to `IResultTree.getChildren(Object)` or `IStructuredResult.getContext(Object)` or `IStructuredResult.getColumnValue(Object, int)`.

#### hasChildren

    public boolean hasChildren​(java.lang.Object element)

Description copied from interface: `IResultTree`
Returns whether the given element has children.

Specified by:
  `hasChildren` in interface `IResultTree`
Parameters:
  `element` - the opaque object used to indicate which branch
Returns:
  true if this element has children

#### getColumns

    public Column[] getColumns()

Description copied from interface: `IStructuredResult`
The columns of the tree or table.

Specified by:
  `getColumns` in interface `IStructuredResult`
Returns:
  an array of all the columns

#### getColumnValue

    public java.lang.Object getColumnValue​(java.lang.Object row,
                                           int columnIndex)

Description copied from interface: `IStructuredResult`
Returns the (unformatted) value of a table/tree cell.

Specified by:
  `getColumnValue` in interface `IStructuredResult`
Parameters:
  `row` - The row object as returned by the `IResultTable.getRow(int)` or `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods
  `columnIndex` - The index of the column.
Returns:
  the cell value

#### getContext

    public IContextObject getContext​(java.lang.Object row)

Description copied from interface: `IStructuredResult`
The default context of the row which is used to display information in the object inspector. Unless no context provider is given via the `ResultMetaData`, it is also used for the context menu on a row.

Specified by:
  `getContext` in interface `IStructuredResult`
Parameters:
  `row` - The row object as returned by the `IResultTable.getRow(int)` or `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods.
Returns:
  a context object holding details about that row

#### getResultMetaData

    public ResultMetaData getResultMetaData()

Description copied from interface: `IResult`
(Optionally) Return meta data of the result needed to fine-tune the display of the result. This could include an additional context, an additional query to run on selected data from the result , additional calculated columns, or an indication that the results are already presorted.

Specified by:
  `getResultMetaData` in interface `IResult`
Returns:
  the metadata for the result, used to obtain extra data

#### getIcon

    public java.net.URL getIcon​(java.lang.Object row)

Specified by:
  `getIcon` in interface `IIconProvider`

#### getGroupBy

    public BundleRegistryQuery.Grouping getGroupBy()